'------------------------------Создание окна изменения размеров скриншота-------------------------------------

Sub Obj.CreateResizeSnapWindow()
	ResizeSnaphWnd=OpenWindow("Размеры скриншота", 300, 200, 260, 40 ,WS_POPUP)
	WindowColor(ResizeSnaphWnd,&h7D828E):CenterWindow(ResizeSnaphWnd)
	SpinGadget(spinResizeWidth, 10, 10, 70, 20, 1, 5000,0,,ES_CENTER)
	SpinGadget(spinResizeHeight, 110, 10, 70, 20, 1, 5000,0,,ES_CENTER)
	CheckBoxGadget(ResizeCheckBox, 88, 13, 15, 15)
	SetGadgetColor(ResizeCheckBox,&h7D828E,&hffffff,1)
	ButtonGadget(ResizeButtonOK, 190, 10, 60, 20, "Принять")
	GadgetToolTip(spinResizeWidth,"Ширина")
	GadgetToolTip(spinResizeHeight,"Высота")
	GadgetToolTip(ResizeCheckBox,"Соотношение размеров при изменении")
End Sub
'------------------------------Изменение размеров скриншота-------------------------------------
Sub Obj.ResizeSnap()
	If MessBox("Сообщение","Будем изменять размеры?",MB_OKCANCEL)=IDOK Then
		HideWindow(ResizeSnaphWnd,0)
		SetGadgetState(spinResizeWidth,IMAGE_WIDTH(bmp))
		SetGadgetState(spinResizeHeight,IMAGE_HEIGHT(bmp))
		Do
			ev=WaitEvent
			If ev=eventgadget Then
				Select case EventNumber
					Case spinResizeWidth
						If GetGadgetState(ResizeCheckBox)=1 Then
							SetGadgetState(spinResizeHeight,(((GetGadgetState(spinResizeWidth)*100)/IMAGE_WIDTH(bmp))*IMAGE_HEIGHT(bmp))/100)
						EndIf
					Case 	spinResizeHeight
						If GetGadgetState(ResizeCheckBox)=1 Then
							SetGadgetState(spinResizewidth,(((GetGadgetState(spinResizeHeight)*100)/IMAGE_HEIGHT(bmp))*IMAGE_WIDTH(bmp))/100)
						EndIf
					Case ResizeButtonOK
						bmp=Resize_image(bmp,GetGadgetState(spinResizeWidth),GetGadgetState(spinResizeHeight))
						HideWindow(ResizeSnaphWnd,1)
						Exit Do
					Case Else
						If GetGadgetState(ResizeCheckBox)=1 Then
							If EventLParam=GadgetID(spinResizeWidth) Then
								SetGadgetState(spinResizeHeight,(((GetGadgetState(spinResizeWidth)*100)/IMAGE_WIDTH(bmp))*IMAGE_HEIGHT(bmp))/100)
							ElseIf EventLParam=GadgetID(spinResizeHeight) Then
								SetGadgetState(spinResizewidth,(((GetGadgetState(spinResizeHeight)*100)/IMAGE_HEIGHT(bmp))*IMAGE_WIDTH(bmp))/100)
							EndIf
						EndIf
				End Select
			EndIf
		Loop
	EndIf
End Sub
